Prolifto
API reference

Shipping

Wilaya delivery rates and quotes

Bulk Upsert Wilayas

POST
/shipping/bulkUpsertWilayas

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/shipping/bulkUpsertWilayas" \  -H "Content-Type: application/json" \  -d '{    "homePrice": 0,    "isActive": true,    "stopdeskPrice": 0  }'
{}

Delete By Wilaya

POST
/shipping/deleteByWilaya

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/shipping/deleteByWilaya" \  -H "Content-Type: application/json" \  -d '{    "wilayaCode": "str"  }'
{}

Get Many

GET
/{organizationSlug}/shipping-rates

Path Parameters

organizationSlug*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/shipping-rates"
{}

Get Quote

GET
/{organizationSlug}/shipping-rates/quote

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

deliveryType?string
Default"HOME"
Value in"HOME" | "STOPDESK"
wilayaCode*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/shipping-rates/quote?wilayaCode=string"
{}

Upsert Wilaya

POST
/shipping/upsertWilaya

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/shipping/upsertWilaya" \  -H "Content-Type: application/json" \  -d '{    "homePrice": 0,    "isActive": true,    "stopdeskPrice": 0,    "wilayaCode": "str",    "wilayaName": "string"  }'
{}